Your version of DirectInput needs upgrading

What does this mean? How do you fix it?
I didn’t think you could upgrade the directx components
separately…

I’ve just done a total, minimal rebuild of Windows 95, installing the
drivers for sound and video, and DirectX 6.1 as the third component.
This is installed well enough to run System Shock 2, which died before,
but not enough for the SDL-Windows port of my game.

I am not sure which version of SDL the program was built with, as I
say, I didn’t write this version. I guess it is either 0.9.x or 1.0.x

But if -I- can’t make it work, why am I distributing it? :wink:

The video card is a Millennium-2 with the latest drivers.–
JP Morris - aka DOUG the Eagle (Dragon) -=UDIC=- DOUG-15 at bigfoot.com
Fun things to do with the Ultima games (http://ithe.cjb.net)
Developing a U6/U7 clone (http://fly.to/ire)
d+++ e+ N+ T++ Om U123456!7’!8!KA u++ uC+++ uF+++ uG---- uLB----
uA— nC+ nR---- nH+++ nP++ nI nPT nS nT wM- wC- y a(YEAR - 1976)